Bug 176701 - [patch] update games/angband from 3.3.2 to 3.4.1
Summary: [patch] update games/angband from 3.3.2 to 3.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-06 20:50 UTC by Vitaly Magerya
Modified: 2013-03-27 18:50 UTC (History)
0 users

See Also:


Attachments
file.diff (6.00 KB, patch)
2013-03-06 20:50 UTC, Vitaly Magerya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaly Magerya 2013-03-06 20:50:00 UTC
Update games/angband to 3.4.1, switch to new header style,
introduce OPTIONS.

Note that I added xorg-fonts-miscbitmaps as a dependency
if the port is built with X11 backend; without that angband
fails on startup with a message about missing fonts.

Also note that I had to patch out angband's ncurses detection
(as it does not work with ncurses in base), and add ncurses
via LDFLAGS instead.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-03-06 20:50:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-03-25 11:03:46 UTC
Responsible Changed
From-To: pav->freebsd-ports-bugs

maintainer timeout
Comment 3 Pawel Pekala freebsd_committer 2013-03-27 17:53:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-03-27 18:43:16 UTC
Author: pawel
Date: Wed Mar 27 18:43:08 2013
New Revision: 315405
URL: http://svnweb.freebsd.org/changeset/ports/315405

Log:
  - Update to version 3.4.1
  - Convert to OptionsNG
  
  PR:		ports/176701
  Submitted by:	Vitaly Magerya <vmagerya@gmail.com>
  Approved by:	maintainer timeout

Added:
  head/games/angband/files/
  head/games/angband/files/patch-configure   (contents, props changed)
Modified:
  head/games/angband/Makefile   (contents, props changed)
  head/games/angband/distinfo   (contents, props changed)
  head/games/angband/pkg-plist   (contents, props changed)

Modified: head/games/angband/Makefile
==============================================================================
--- head/games/angband/Makefile	Wed Mar 27 18:33:13 2013	(r315404)
+++ head/games/angband/Makefile	Wed Mar 27 18:43:08 2013	(r315405)
@@ -1,14 +1,10 @@
-# New ports collection makefile for:   angband
-# Date created:        21 Feb 1997
-# Whom:                Matthew Hunt <mph@pobox.com>
-#
+# Created by: Matthew Hunt <mph@pobox.com>
 # $FreeBSD$
-#
 
 PORTNAME=	angband
-PORTVERSION=	3.3.2
+PORTVERSION=	3.4.1
 CATEGORIES=	games
-MASTER_SITES=	http://rephial.org/downloads/3.3/
+MASTER_SITES=	http://rephial.org/downloads/${PORTVERSION:R}/
 DISTNAME=	${PORTNAME}-v${PORTVERSION}
 
 MAINTAINER=	pav@FreeBSD.org
@@ -17,21 +13,21 @@ COMMENT=	Rogue-like game with color, X11
 USE_GMAKE=	yes
 ALL_TARGET=	#
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--with-setgid=games --disable-sdl --disable-sdl-mixer --with-varpath=/var/games/angband
-.if !defined(WITHOUT_X11)
-USE_XORG=	sm x11
-CONFIGURE_ARGS+=	--with-x
-.else
-CONFIGURE_ARGS+=	--with-x=no
-.endif
-CONFIGURE_ENV=	ac_cv_path_mkdir=mkdir
-CPP=		cc -E
+CONFIGURE_ARGS=	--with-setgid=games --localstatedir=/var
+LDFLAGS+=	-lncursesw
+
+OPTIONS_DEFINE=	X11
+X11_DESC=	Enable X11 (graphical) backend
 
-pre-fetch:
-.if !defined(WITHOUT_X11)
-	@${ECHO_MSG} "You could define WITHOUT_X11, if you don't want X support"
+OPTIONS_DEFAULT=X11
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MX11}
+USE_XORG=	sm x11
+RUN_DEPENDS=	xorg-fonts-miscbitmaps>=0:${PORTSDIR}/x11-fonts/xorg-fonts-miscbitmaps
 .else
-	@${ECHO_MSG} "Building without X support"
+CONFIGURE_ARGS+=--disable-x11
 .endif
 
 post-patch:

Modified: head/games/angband/distinfo
==============================================================================
--- head/games/angband/distinfo	Wed Mar 27 18:33:13 2013	(r315404)
+++ head/games/angband/distinfo	Wed Mar 27 18:43:08 2013	(r315405)
@@ -1,2 +1,2 @@
-SHA256 (angband-v3.3.2.tar.gz) = 6b5127b760c988e9ef4968556ea030ac1f24611da5fdc0db90cff2bd3bced4f7
-SIZE (angband-v3.3.2.tar.gz) = 3401345
+SHA256 (angband-v3.4.1.tar.gz) = 461e36d22c15df330b4d4eaa850e4f2c2da6731d23e99fa13a056249343fd945
+SIZE (angband-v3.4.1.tar.gz) = 17880537

Added: head/games/angband/files/patch-configure
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/angband/files/patch-configure	Wed Mar 27 18:43:08 2013	(r315405)
@@ -0,0 +1,10 @@
+--- configure.orig	2013-03-06 18:58:16.000000000 +0200
++++ configure	2013-03-06 19:08:48.000000000 +0200
+@@ -4989,6 +4989,7 @@
+ 
+ 
+   rm -f conf.ncursestest
++  with_curses=yes
+ 
+ 	if test "$with_curses" = "yes"; then
+ 

Modified: head/games/angband/pkg-plist
==============================================================================
--- head/games/angband/pkg-plist	Wed Mar 27 18:33:13 2013	(r315404)
+++ head/games/angband/pkg-plist	Wed Mar 27 18:43:08 2013	(r315405)
@@ -22,30 +22,32 @@ etc/angband/edit/vault.txt
 etc/angband/pref/flvr-dvg.prf
 etc/angband/pref/flvr-new.prf
 etc/angband/pref/flvr-nmd.prf
+etc/angband/pref/flvr-shb.prf
 etc/angband/pref/flvr-xxx.prf
-etc/angband/pref/font.prf
 etc/angband/pref/font-gcu.prf
 etc/angband/pref/font-mac.prf
 etc/angband/pref/font-sdl.prf
 etc/angband/pref/font-win.prf
-etc/angband/pref/font-xxx.prf
 etc/angband/pref/font-x11.prf
-etc/angband/pref/graf.prf
+etc/angband/pref/font-xxx.prf
+etc/angband/pref/font.prf
 etc/angband/pref/graf-dvg.prf
 etc/angband/pref/graf-new.prf
 etc/angband/pref/graf-nmd.prf
+etc/angband/pref/graf-shb.prf
 etc/angband/pref/graf-xxx.prf
+etc/angband/pref/graf.prf
 etc/angband/pref/message.prf
 etc/angband/pref/pref.prf
 etc/angband/pref/user.prf
 etc/angband/pref/xtra-dvg.prf
 etc/angband/pref/xtra-new.prf
 etc/angband/pref/xtra-nmd.prf
+etc/angband/pref/xtra-shb.prf
 etc/angband/pref/xtra-xxx.prf
 share/angband/file/crown.txt
 share/angband/file/dead.txt
 share/angband/file/news.txt
-share/angband/help/330.txt
 share/angband/help/attack.txt
 share/angband/help/birth.txt
 share/angband/help/command.txt
@@ -55,9 +57,17 @@ share/angband/help/general.txt
 share/angband/help/help.hlp
 share/angband/help/option.txt
 share/angband/help/playing.txt
+share/angband/help/readme.txt
 share/angband/help/version.txt
 share/angband/info/readme.txt
 share/angband/xtra/angband.glade
+share/angband/xtra/font/10x14x.fon
+share/angband/xtra/font/10x14xb.fon
+share/angband/xtra/font/10x20x.fon
+share/angband/xtra/font/12x18x.fon
+share/angband/xtra/font/12x24x.fon
+share/angband/xtra/font/16x16x.fon
+share/angband/xtra/font/16x24x.fon
 share/angband/xtra/font/5x8x.fon
 share/angband/xtra/font/6x10x.fon
 share/angband/xtra/font/6x12x.fon
@@ -65,26 +75,21 @@ share/angband/xtra/font/6x13x.fon
 share/angband/xtra/font/6x13xb.fon
 share/angband/xtra/font/7x13x.fon
 share/angband/xtra/font/7x13xb.fon
-share/angband/xtra/font/8x8x.fon
-share/angband/xtra/font/8x8xb.fon
 share/angband/xtra/font/8x12x.fon
 share/angband/xtra/font/8x12xb.fon
 share/angband/xtra/font/8x13x.fon
 share/angband/xtra/font/8x16x.fon
+share/angband/xtra/font/8x8x.fon
+share/angband/xtra/font/8x8xb.fon
 share/angband/xtra/font/9x15x.fon
 share/angband/xtra/font/9x15xb.fon
-share/angband/xtra/font/10x14x.fon
-share/angband/xtra/font/10x14xb.fon
-share/angband/xtra/font/10x20x.fon
-share/angband/xtra/font/12x18x.fon
-share/angband/xtra/font/12x24x.fon
-share/angband/xtra/font/16x16x.fon
-share/angband/xtra/font/16x24x.fon
 share/angband/xtra/graf/16x16.png
 share/angband/xtra/graf/32x32.png
+share/angband/xtra/graf/64x64.png
 share/angband/xtra/graf/8x16.png
 share/angband/xtra/graf/8x8.png
-share/angband/xtra/icon/angband-gtk.desktop
+share/angband/xtra/graf/graphics.txt
+share/angband/xtra/graf/mr_att.png
 share/angband/xtra/icon/angband-sdl.desktop
 share/angband/xtra/icon/angband-x11.desktop
 share/angband/xtra/icon/att-128.png
@@ -100,13 +105,13 @@ share/angband/xtra/sound/drop.wav
 share/angband/xtra/sound/eat.wav
 share/angband/xtra/sound/flee.wav
 share/angband/xtra/sound/hallu.wav
-share/angband/xtra/sound/hit1.wav
 share/angband/xtra/sound/hit.wav
-share/angband/xtra/sound/kill1.wav
+share/angband/xtra/sound/hit1.wav
 share/angband/xtra/sound/kill.wav
+share/angband/xtra/sound/kill1.wav
 share/angband/xtra/sound/level.wav
-share/angband/xtra/sound/miss1.wav
 share/angband/xtra/sound/miss.wav
+share/angband/xtra/sound/miss1.wav
 share/angband/xtra/sound/money.wav
 share/angband/xtra/sound/opendoor.wav
 share/angband/xtra/sound/shutdoor.wav
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2013-03-27 18:43:29 UTC
State Changed
From-To: open->closed

Committed. Thanks!